import request from '../../utils/request'

export function selectLocalItems(data) {
  return request({
    url: '/nationalMatch/selectLocalItems',
    method: 'post',
    data,
  })
}

export function asyncNewNameForServicesOrItems() {
  return request({
    url: '/nationalMatch/asyncNewNameForServicesOrItems',
    method: 'get',
  })
}

export function updateLocalItem(data) {
  return request({
    url: '/nationalMatch/updateLocalItem',
    method: 'post',
    data,
  })
}

export function selectNationalItems(data) {
  return request({
    url: '/nationalMatch/selectNationalItems',
    method: 'post',
    data,
  })
}

export function executeMatch(data) {
  return request({
    url: '/nationalMatch/executeMatch',
    method: 'post',
    data,
  })
}

export function cancelMatch(data) {
  return request({
    url: '/nationalMatch/cancelMatch',
    method: 'post',
    data,
  })
}

export function synchronizeInjuryMatch() {
  return request({
    url: '/xmYp/synchronizeInjuryMatch',
    method: 'get',
  })
}
